### Enumeration

# JavaScriptCore CheckSyntaxResult

#### Declaration

    enum JavaScriptCore.CheckSyntaxResult

#### Description [src]

Enum values to specify the result of jsc_context_check_syntax().

#### Members

Name | Description
--- | ---
`JSC_CHECK_SYNTAX_RESULT_SUCCESS` | No errors.
`JSC_CHECK_SYNTAX_RESULT_RECOVERABLE_ERROR` | Recoverable syntax error.
`JSC_CHECK_SYNTAX_RESULT_IRRECOVERABLE_ERROR` | Irrecoverable syntax error.
`JSC_CHECK_SYNTAX_RESULT_UNTERMINATED_LITERAL_ERROR` | Unterminated literal error.
`JSC_CHECK_SYNTAX_RESULT_OUT_OF_MEMORY_ERROR` | Out of memory error.
`JSC_CHECK_SYNTAX_RESULT_STACK_OVERFLOW_ERROR` | Stack overflow error.